Get paginated list of incentives
curl --request POST \
--url https://api.rallyuxr.com/api/public/v1/incentives/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"studyId": "<string>",
"pageInfo": {
"size": 10
}
}
'import requests
url = "https://api.rallyuxr.com/api/public/v1/incentives/search"
payload = {
"studyId": "<string>",
"pageInfo": { "size": 10 }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({studyId: '<string>', pageInfo: {size: 10}})
};
fetch('https://api.rallyuxr.com/api/public/v1/incentives/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"incentiveId": "<string>",
"amountCents": 123,
"sentAt": "2023-11-07T05:31:56Z",
"recipientEmail": "jsmith@example.com",
"personId": "<string>",
"participantId": "<string>",
"studyId": "<string>",
"budgetId": "<string>",
"customIncentiveId": "<string>",
"customIncentiveValue": "<string>"
}
],
"total": 123,
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "<string>",
"endCursor": "<string>"
}
}{
"errors": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}"Unauthorized""Forbidden""Too Many Requests""Internal Server Error"Incentives
Get paginated list of incentives
Gets all incentives in your workspace
POST
/
incentives
/
search
Get paginated list of incentives
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Search parameters to get incentives within your workspace
The ID of the study
Filter option to search for people
Show child attributes
Show child attributes
Pagination arguments. Use startCursor from the result of the endCursor of the response to get the next page. Pagination in reverse is not currently supported
Show child attributes
Show child attributes
Example:
{ "size": 10 }
⌘I